Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.intermediate
Class IFException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.fop.render.intermediate.IFException

All Implemented Interfaces:
  java.io.Serializable

    public class IFException

extends java.lang.Exception

Exception thrown by code dealing with FOP's intermediate format.

See Also:
  Serialized Form

Constructor Summary
`IFException(java.lang.String message)` Constructs a new exception with the specified detail message.
`IFException(java.lang.String message, java.lang.Exception cause)` Constructs a new exception with the specified detail message and cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IFException

    public IFException(java.lang.String message,
                       java.lang.Exception cause)

  Constructs a new exception with the specified detail message and cause.

  Note that the detail message associated with `cause` is not automatically incorporated in this exception's detail message.

  Parameters:
    `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
    `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

### IFException

    public IFException(java.lang.String message)

  Constructs a new exception with the specified detail message.

  Parameters:
    `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.